Redmine - Defect #25959

"Smile of the death™ problem
2017-05-17 13:17 - Maxim Krusina

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.3.1
Description

Hi, just pasted this string into Ticket description (or comment) and it will crash Redmine:

A druha véc, mozné bych ten pruh dole, svétle modrou, vyménil za nasi tmavé modrou

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2017-05-17 13:19 - Maxim Krusina
- Affected version changed from 3.2.5 to 3.3.1
Hmm, THIS instance will not crash, but there is no smile. Our instance will crash.

Whole string including smile is here:
https: . le.com ment/d/1IxVicYv_DMSgJm lgY1pbdfXgh_Nf6jilZ i

#2 - 2017-05-17 14:33 - Toshi MARUYAMA
- File 1.png added
- Status changed from New to Closed

- Resolution set to Cant reproduce

«" Issue #51 created.
Bug #51 2 Edit (g} Log time

A druha véc, moZna bych ten pruh dole, svétle modrou, vyménil za nasi
tmavé modrou

Added by Redmine Admin less than a minute ago.

Status: MNew Start date: 05/
Priority: Normal Due date:

Assignee: = % Done:

Target version: -
cf_issue_text_01: aaaa cvD1:

cf_issue_list_01:

Description

A druha véc, moZna bych ten pruh dole, svétle modrou, vymenil za nasi tmavé modrou

#3 - 2017-05-17 17:54 - Vasili Korol

| can reproduce the problem. "Internal server error" appears after attempting to create a ticket with the following string in the title and description

(copied together with the smiley from the google document in comment 1:

A druha véc, mozna bych ten pruh dole, svétle modrou, vyménil za nasi tmavé modrou
https://docs.google.com/document/d/1lxVicYv_DMSgJmqGOeClgY1pbdfXqh_Nf6jiIZoOpug/edit
http://www.redmine.org/issues/25959#note-1

My version of Redmine:

Environment:
Redmine version 3.2.4.stable
Ruby version 2.0.0-p384 (2014-01-12) [x86_64-1linux-gnu]
Rails version 4.2.7.1
Environment production
Database adapter Mysqgl2

SCM:
Subversion 1.8.8
Git 1.9.1
Filesystem

Redmine plugins:
advanced_roadmap_v2 2.4.2

#4 - 2017-05-17 18:01 - Marius BALTEANU
The are multiple issue reported on the same subject, please see #21398, #18866 and #19742.

We had the same issue and we fixed it by migrating our Mysql database to utf8mb4. | think that the installation doc from Redminelnstall could be
improved and include this change.

#5 - 2017-05-17 18:01 - Vasili Korol

Update: the smiley in my previous comment was first visible, but now it disappeared.

#6 - 2017-05-17 18:09 - Toshi MARUYAMA
- File python.png added

- Resolution changed from Cant reproduce to Invalid

This is FAQ.

MNow )

- ] on linux2
credits "license" for more information.
).encode( "UTF-8

right",

#7 - 2017-05-17 18:11 - Toshi MARUYAMA
- Category deleted (Issues)

#8 - 2019-08-17 18:13 - Marius BALTEANU
- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added

Files
1.png 41.7 KB 2017-05-17 Toshi MARUYAMA
python.png 11.4 KB 2017-05-17 Toshi MARUYAMA
https://www.redmine.org/issues/21398
https://www.redmine.org/issues/18866
https://www.redmine.org/issues/19742
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Installation-procedure
http://www.tcpdf.org

